package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.baomidou.mybatisplus.annotation.*;
import java.util.Date;

/**
 * 企业风险检查项对象 cms_ent_risk_info_ckt_item
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:27
 */
@TableName("cms_ent_risk_info_ckt_item")
public class CmsEntRiskInfoCktItem  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long itemId;

	/** 校验ID */
	@ApiModelProperty(value = "校验ID")
	private Long checkId;

	/** 校验项标签 */
	@ApiModelProperty(value = "校验项标签")
	private String itemLabel;

	/** 校验项名称 */
	@ApiModelProperty(value = "校验项名称")
	private String itemName;

	/** 校验项描述 */
	@ApiModelProperty(value = "校验项描述")
	private String itemDesc;

	/** 校验类型 */
	@ApiModelProperty(value = "校验类型")
	private String cktType;

	/** 校验值 */
	@ApiModelProperty(value = "校验值")
	private String actVal;

	/** 逻辑类型 */
	@ApiModelProperty(value = "逻辑类型")
	private String logicType;

	/** 分类(审查范围) */
	@ApiModelProperty(value = "分类(审查范围)")
	private String categoryType;

	/** 目标值 */
	@ApiModelProperty(value = "目标值")
	private String tarVal;

	/** 自动审核结果 */
	@ApiModelProperty(value = "自动审核结果")
	private Integer autoResult;

	/** 自动审核结果信息 */
	@ApiModelProperty(value = "自动审核结果信息")
	private String autoMsg;

	/** 人工审核结果 */
	@ApiModelProperty(value = "人工审核结果")
	private Integer manualResult;

	/** 人工审核信息 */
	@ApiModelProperty(value = "人工审核信息")
	private String manualMsg;

	/** 分值 */
	@ApiModelProperty(value = "分值")
	private Long score;

	/** 得分 */
	@ApiModelProperty(value = "得分")
	private Long autoScore;

	/** 复核得分 */
	@ApiModelProperty(value = "复核得分")
	private Long manualScore;

	/** 精细化评分规则 */
	@ApiModelProperty(value = "精细化评分规则")
	private String fineRule;

	/** 备注 */
	@ApiModelProperty(value = "备注")
	private String remarks;

	/** 删除标记 */
	@ApiModelProperty(value = "删除标记")
	private String delFlag;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("itemId")
	public Long getItemId() {
		return itemId;
	}

	public void setItemId(Long itemId) {
		this.itemId =  itemId;
	}
	@JsonProperty("checkId")
	public Long getCheckId() {
		return checkId;
	}

	public void setCheckId(Long checkId) {
		this.checkId =  checkId;
	}
	@JsonProperty("itemLabel")
	public String getItemLabel() {
		return itemLabel;
	}

	public void setItemLabel(String itemLabel) {
		this.itemLabel =  itemLabel;
	}
	@JsonProperty("itemName")
	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName =  itemName;
	}
	@JsonProperty("itemDesc")
	public String getItemDesc() {
		return itemDesc;
	}

	public void setItemDesc(String itemDesc) {
		this.itemDesc =  itemDesc;
	}
	@JsonProperty("cktType")
	public String getCktType() {
		return cktType;
	}

	public void setCktType(String cktType) {
		this.cktType =  cktType;
	}
	@JsonProperty("actVal")
	public String getActVal() {
		return actVal;
	}

	public void setActVal(String actVal) {
		this.actVal =  actVal;
	}
	@JsonProperty("logicType")
	public String getLogicType() {
		return logicType;
	}

	public void setLogicType(String logicType) {
		this.logicType =  logicType;
	}
	@JsonProperty("categoryType")
	public String getCategoryType() {
		return categoryType;
	}

	public void setCategoryType(String categoryType) {
		this.categoryType =  categoryType;
	}
	@JsonProperty("tarVal")
	public String getTarVal() {
		return tarVal;
	}

	public void setTarVal(String tarVal) {
		this.tarVal =  tarVal;
	}
	@JsonProperty("autoResult")
	public Integer getAutoResult() {
		return autoResult;
	}

	public void setAutoResult(Integer autoResult) {
		this.autoResult =  autoResult;
	}
	@JsonProperty("autoMsg")
	public String getAutoMsg() {
		return autoMsg;
	}

	public void setAutoMsg(String autoMsg) {
		this.autoMsg =  autoMsg;
	}
	@JsonProperty("manualResult")
	public Integer getManualResult() {
		return manualResult;
	}

	public void setManualResult(Integer manualResult) {
		this.manualResult =  manualResult;
	}
	@JsonProperty("manualMsg")
	public String getManualMsg() {
		return manualMsg;
	}

	public void setManualMsg(String manualMsg) {
		this.manualMsg =  manualMsg;
	}
	@JsonProperty("score")
	public Long getScore() {
		return score;
	}

	public void setScore(Long score) {
		this.score =  score;
	}
	@JsonProperty("autoScore")
	public Long getAutoScore() {
		return autoScore;
	}

	public void setAutoScore(Long autoScore) {
		this.autoScore =  autoScore;
	}
	@JsonProperty("manualScore")
	public Long getManualScore() {
		return manualScore;
	}

	public void setManualScore(Long manualScore) {
		this.manualScore =  manualScore;
	}
	@JsonProperty("fineRule")
	public String getFineRule() {
		return fineRule;
	}

	public void setFineRule(String fineRule) {
		this.fineRule =  fineRule;
	}
	@JsonProperty("remarks")
	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks =  remarks;
	}
	@JsonProperty("delFlag")
	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag =  delFlag;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																																																
	public CmsEntRiskInfoCktItem(Long itemId,Long checkId,String itemLabel,String itemName,String itemDesc,String cktType,String actVal,String logicType,String categoryType,String tarVal,Integer autoResult,String autoMsg,Integer manualResult,String manualMsg,Long score,Long autoScore,Long manualScore,String fineRule,String remarks,String delFlag,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.itemId = itemId;
		this.checkId = checkId;
		this.itemLabel = itemLabel;
		this.itemName = itemName;
		this.itemDesc = itemDesc;
		this.cktType = cktType;
		this.actVal = actVal;
		this.logicType = logicType;
		this.categoryType = categoryType;
		this.tarVal = tarVal;
		this.autoResult = autoResult;
		this.autoMsg = autoMsg;
		this.manualResult = manualResult;
		this.manualMsg = manualMsg;
		this.score = score;
		this.autoScore = autoScore;
		this.manualScore = manualScore;
		this.fineRule = fineRule;
		this.remarks = remarks;
		this.delFlag = delFlag;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskInfoCktItem() {
	    super();
	}
}